'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

exports.bcryptHash = bcryptHash;
exports.bcryptCompare = bcryptCompare;

var _bcrypt = require('bcrypt');

var _bcrypt2 = _interopRequireDefault(_bcrypt);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function bcryptHash(value) {
  var options = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

  if (!value || typeof value !== 'string') {
    throw new TypeError('expected string, got ' + (typeof value === 'undefined' ? 'undefined' : (0, _typeof3.default)(value)));
  }

  return new Promise(function (resolve, reject) {
    _bcrypt2.default.genSalt(options.saltRounds || 10, function (err, salt) {
      if (err) return reject(err);

      _bcrypt2.default.hash(value, salt, function (err, hash) {
        if (err) reject(err);else resolve(hash);
      });
    });
  });
}

function bcryptCompare(value) {
  var hash = arguments.length <= 1 || arguments[1] === undefined ? '' : arguments[1];

  if (!value || typeof value !== 'string') {
    throw new TypeError('expected string, got ' + (typeof value === 'undefined' ? 'undefined' : (0, _typeof3.default)(value)));
  }

  return new Promise(function (resolve, reject) {
    _bcrypt2.default.compare(value, hash, function (err, res) {
      if (err) reject(err);else resolve(Boolean(res));
    });
  });
}