'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.hash = hash;

var _crypto = require('crypto');

var _crypto2 = _interopRequireDefault(_crypto);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function hash(value) {
  var options = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

  if (value === undefined) {
    throw new Error('cannot hash an undefined value');
  }

  value = (0, _utils.stringify)(value);

  options.algorithm = options.algorithm || 'sha256';
  options.rounds = parseInt(options.rounds, 10) || 1;
  if (options.salt) value += options.salt;

  var hash = value;
  for (var i = 0; i < options.rounds; i++) {
    hash = _crypto2.default.createHash(options.algorithm).update(hash, 'utf8').digest('hex');
  }

  return hash;
}