'use strict';

var _crypto = require('crypto');

var _crypto2 = _interopRequireDefault(_crypto);

var _encryption = require('./encryption');

var encryption = _interopRequireWildcard(_encryption);

var _hash = require('./hash');

var hash = _interopRequireWildcard(_hash);

var _bcrypt = require('./bcrypt');

var bcrypt = _interopRequireWildcard(_bcrypt);

var _random = require('./random');

var random = _interopRequireWildcard(_random);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = Object.assign(_crypto2.default, {
  encrypt: encryption.encrypt,
  decrypt: encryption.decrypt,
  generateKey: encryption.generateKey,
  hash: hash.hash,
  bcryptHash: bcrypt.bcryptHash,
  bcryptCompare: bcrypt.bcryptCompare,
  randomString: random.randomString,
  randomNumber: random.randomNumber

});